Nameservice
List of Nameservice Endpoints.
GET - /
Endpoint
/Example
curl https://explorer.protokol.sh/api/nameserviceQuery Parameters
Name
Type
Description
Required
page
int
The number of the page that will be returned.
No
limit
int
The number of resources per page.
No
orderBy
string
Type by which should order resources.
No
transform
boolean
If returns modified or raw data.
No
Response
{
"meta": {
"totalCountIsEstimate": true,
"count": 1,
"pageCount": 1,
"totalCount": 1,
"next": null,
"previous": null,
"self": "/nameservice?transform=true&page=1&limit=100",
"first": "/nameservice?transform=true&page=1&limit=100",
"last": "/nameservice?transform=true&page=1&limit=100"
},
"data": [
{
"id": "b20e1aebb3652c247c1d1bdc88074a819d175af20f00232d4a85bb9b5a07b637",
"sender": "ANBkoGqWeTSiaEVgVzSKZd3jS7UWzv9PSo",
"senderPublicKey": "03287bfebba4c7881a0509717e71b34b63f31e40021c321f89ae04f84be6d6ac37",
"nameservice": "zan",
"timestamp": {
"epoch": 138928576,
"unix": 1629029776,
"human": "2021-08-15T12:16:16.000Z"
}
}
]
}GET - /:Id
Endpoint
Example
Response
GET - /:id/wallet
Endpoint
Example
Response
Last updated
Was this helpful?